## txtreader 0.4.4

=== Makefile ===
#############################################################################
# Makefile for building: txtreader
# Generated by qmake (2.01a) (Qt 4.3.2) on: ?? ?? 5 10:41:23 2008
# Project:  txtreader.pro
# Template: app
# Command: /usr/lib/qt4/bin/qmake-qt4 -unix -o Makefile txtreader.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -g -march=i686 -mmmx -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -g -march=i686 -mmmx -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/lib/qt4/mkspecs/linux-g++ -I. -I/usr/include/QtCore -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include/QtGui -I/usr/include -I. -Isrc -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)   -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/lib/qt4/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = src/main.cpp \
		src/readerview.cpp \
		src/TxtReader.cpp moc_readerview.cpp \
		moc_TxtReader.cpp \
		qrc_txtreader.cpp
OBJECTS       = main.o \
		readerview.o \
		TxtReader.o \
		moc_readerview.o \
		moc_TxtReader.o \
		qrc_txtreader.o
DIST          = /usr/share/qt4/mkspecs/common/g++-multilib.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		txtreader.pro
QMAKE_TARGET  = txtreader
DESTDIR       = 
TARGET        = txtreader

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: txtreader.pro  /usr/lib/qt4/mkspecs/linux-g++/qmake.conf /usr/lib/qt4/mkspecs/common/g++-multilib.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/lib/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf
	$(QMAKE) -unix -o Makefile txtreader.pro
/usr/lib/qt4/mkspecs/common/g++-multilib.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/lib/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile txtreader.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/txtreader1.0.0 || $(MKDIR) .tmp/txtreader1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/txtreader1.0.0/ && $(COPY_FILE) --parents src/readerview.h src/TxtReader.h .tmp/txtreader1.0.0/ && $(COPY_FILE) --parents txtreader.qrc .tmp/txtreader1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/readerview.cpp src/TxtReader.cpp .tmp/txtreader1.0.0/ && (cd `dirname .tmp/txtreader1.0.0` && $(TAR) txtreader1.0.0.tar txtreader1.0.0 && $(COMPRESS) txtreader1.0.0.tar) && $(MOVE) `dirname .tmp/txtreader1.0.0`/txtreader1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/txtreader1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/usr/lib/qt4/bin/moc:
	(cd $(QTDIR)/src/tools/moc && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_readerview.cpp moc_TxtReader.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_readerview.cpp moc_TxtReader.cpp
moc_readerview.cpp: src/readerview.h \
		/usr/lib/qt4/bin/moc
	/usr/lib/qt4/bin/moc $(DEFINES) $(INCPATH) src/readerview.h -o moc_readerview.cpp

moc_TxtReader.cpp: src/readerview.h \
		src/TxtReader.h \
		/usr/lib/qt4/bin/moc
	/usr/lib/qt4/bin/moc $(DEFINES) $(INCPATH) src/TxtReader.h -o moc_TxtReader.cpp

compiler_rcc_make_all: qrc_txtreader.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_txtreader.cpp
qrc_txtreader.cpp: txtreader.qrc \
		README_zh_CN.HTML \
		README_English.HTML \
		i18n/txtreader_English.qm \
		i18n/txtreader_zh_CN.qm \
		images/open.png \
		images/fullscreen.png \
		images/setfont.png \
		images/bg.png \
		images/instruction.png \
		images/jump.png \
		images/resetbg.png \
		images/lang.png \
		images/restore.png \
		images/about.png \
		images/addbookmark.png \
		images/icon.png \
		images/codec.png \
		images/nofullscreen.png \
		images/delbookmark.png \
		images/font.png \
		images/min.png \
		images/zoom-out.png \
		images/bgcolor.png \
		images/exit.png \
		images/bgimage.png \
		images/zoom-in.png \
		images/bookmark.png
	/usr/lib/qt4/bin/rcc -name txtreader txtreader.qrc -o qrc_txtreader.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

main.o: src/main.cpp src/TxtReader.h \
		src/readerview.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o src/main.cpp

readerview.o: src/readerview.cpp src/readerview.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o readerview.o src/readerview.cpp

TxtReader.o: src/TxtReader.cpp src/TxtReader.h \
		src/readerview.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o TxtReader.o src/TxtReader.cpp

moc_readerview.o: moc_readerview.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_readerview.o moc_readerview.cpp

moc_TxtReader.o: moc_TxtReader.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_TxtReader.o moc_TxtReader.cpp

qrc_txtreader.o: qrc_txtreader.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_txtreader.o qrc_txtreader.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

## txtreader 0.5.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: txtreader
-# Generated by qmake (2.01a) (Qt 4.3.2) on: ?? ?? 5 10:41:23 2008
+# Generated by qmake (2.01a) (Qt 4.4.3) on: ?? ?? 14 10:53:25 2009
 # Project:  txtreader.pro
 # Template: app
 # Command: /usr/lib/qt4/bin/qmake-qt4 -unix -o Makefile txtreader.pro

=== debian/changelog ===
txtreader (0.5.2-1) unstable; urgency=low

  * new upstream release.
  * debian/control:
    - change maintainer's email.
    - bump standards version to 3.8.4.
    - update homepage.
    - remove dpatch from build-depends.
    - remove DMUA.
  * debian/source/format: 3.0.
  * debian/txtreader.desktop: added.
  * debian/rules:
    - remove dpatch
    - install icons
  * debian/txtreader.xpm: use new icon.
  * debian/txtreader.install: updated.
  * debian/watch: added. 

 -- LI Daobing <lidaobing@debian.org>  Wed, 14 Apr 2010 22:16:32 +0800

txtreader (0.4.4-1) unstable; urgency=low

  [ LI Daobing ]
  * Initial release (Closes: #490805)

  [ Anthony Fok ]
  * Added myself to Uploaders.
  * Added "Build-Conflicts: qt3-dev-tools", otherwise /usr/bin/qmake
    points to qmake-qt3, leading to FTBFS error.
  * Made some typographic revision in README_*.HTML and txtreader_zh_CN.ts
  * [debian/rules]: Use lrelease to compile i18n/*.qm files at build time.
  * Added txtreader.desktop file.
  * Used dpatch to separate out the changes I made to upstream source.
  * Sponsored upload.

 -- LI Daobing <lidaobing@gmail.com>  Thu, 24 Jul 2008 11:57:48 +0800

=== debian/control ===
Source: txtreader
Section: text
Priority: optional
Maintainer: LI Daobing <lidaobing@debian.org>
Build-Depends: cdbs, debhelper (>= 7), libqt4-dev
Build-Conflicts: qt3-dev-tools
Uploaders: Anthony Fok <foka@debian.org>
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/txtreader4linux/
Vcs-Browser: http://git.debian.org/?p=collab-maint/txtreader.git
Vcs-Git: git://git.debian.org/git/collab-maint/txtreader.git

Package: txtreader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: text viewer, mainly used for reading novels
 Txt Reader is a general text viewer, especially suited for reading novels.
 .
 Features:
  * Automatically remember the place before you closed
  * Support fullscreen mode
  * Support hiding reader to tray with Esc
  * Support page-scrolling with arrow keys
  * Support bookmark
  * Support encoding selection

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk

DEB_INSTALL_MANPAGES_txtreader = debian/txtreader.1

#configure/txtreader::
#	lrelease txtreader.pro

#cleanbuilddir/txtreader::
#	rm -f i18n/*.qm

install/txtreader::
	mkdir -p debian/txtreader/usr/bin/
	cp txtreader debian/txtreader/usr/bin/
	mkdir -p debian/txtreader/usr/share/pixmaps/
	install -m 644 images/book.png debian/txtreader/usr/share/pixmaps/txtreader.png
	install -m 644 debian/txtreader.xpm debian/txtreader/usr/share/pixmaps/

## txtreader 0.5.3

=== Makefile ===
#############################################################################
# Makefile for building: txtreader
# Generated by qmake (2.01a) (Qt 4.6.2) on: ??? ?? 2 00:13:38 2010
# Project:  txtreader.pro
# Template: app
# Command: d:\qt\2010.02.1\qt\bin\qmake.exe -spec ..\Qt\2010.02.1\qt\mkspecs\win32-g++ -win32 -o Makefile txtreader.pro
#############################################################################

first: release
install: release-install
uninstall: release-uninstall
MAKEFILE      = Makefile
QMAKE         = d:\qt\2010.02.1\qt\bin\qmake.exe
DEL_FILE      = del
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = del
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
SUBTARGETS    =  \
		release \
		debug

release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall
debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall

Makefile: txtreader.pro  ../Qt/2010.02.1/qt/mkspecs/win32-g++/qmake.conf ../Qt/2010.02.1/qt/mkspecs/qconfig.pri \
		../Qt/2010.02.1/qt/mkspecs/features/qt_functions.prf \
		../Qt/2010.02.1/qt/mkspecs/features/qt_config.prf \
		../Qt/2010.02.1/qt/mkspecs/features/exclusive_builds.prf \
		../Qt/2010.02.1/qt/mkspecs/features/default_pre.prf \
		../Qt/2010.02.1/qt/mkspecs/features/win32/default_pre.prf \
		../Qt/2010.02.1/qt/mkspecs/features/release.prf \
		../Qt/2010.02.1/qt/mkspecs/features/debug_and_release.prf \
		../Qt/2010.02.1/qt/mkspecs/features/default_post.prf \
		../Qt/2010.02.1/qt/mkspecs/features/win32/default_post.prf \
		../Qt/2010.02.1/qt/mkspecs/features/win32/rtti.prf \
		../Qt/2010.02.1/qt/mkspecs/features/win32/exceptions.prf \
		../Qt/2010.02.1/qt/mkspecs/features/win32/stl.prf \
		../Qt/2010.02.1/qt/mkspecs/features/static.prf \
		../Qt/2010.02.1/qt/mkspecs/features/warn_on.prf \
		../Qt/2010.02.1/qt/mkspecs/features/qt.prf \
		../Qt/2010.02.1/qt/mkspecs/features/win32/thread.prf \
		../Qt/2010.02.1/qt/mkspecs/features/moc.prf \
		../Qt/2010.02.1/qt/mkspecs/features/win32/windows.prf \
		../Qt/2010.02.1/qt/mkspecs/features/resources.prf \
		../Qt/2010.02.1/qt/mkspecs/features/uic.prf \
		../Qt/2010.02.1/qt/mkspecs/features/yacc.prf \
		../Qt/2010.02.1/qt/mkspecs/features/lex.prf \
		../Qt/2010.02.1/qt/mkspecs/features/include_source_dir.prf \
		d:/Qt/2010.02.1/qt/lib/qtmain.prl \
		d:/Qt/2010.02.1/qt/lib/QtGui.prl \
		d:/Qt/2010.02.1/qt/lib/QtCore.prl
	$(QMAKE) -spec ..\Qt\2010.02.1\qt\mkspecs\win32-g++ -win32 -o Makefile txtreader.pro
..\Qt\2010.02.1\qt\mkspecs\qconfig.pri:
..\Qt\2010.02.1\qt\mkspecs\features\qt_functions.prf:
..\Qt\2010.02.1\qt\mkspecs\features\qt_config.prf:
..\Qt\2010.02.1\qt\mkspecs\features\exclusive_builds.prf:
..\Qt\2010.02.1\qt\mkspecs\features\default_pre.prf:
..\Qt\2010.02.1\qt\mkspecs\features\win32\default_pre.prf:
..\Qt\2010.02.1\qt\mkspecs\features\release.prf:
..\Qt\2010.02.1\qt\mkspecs\features\debug_and_release.prf:
..\Qt\2010.02.1\qt\mkspecs\features\default_post.prf:
..\Qt\2010.02.1\qt\mkspecs\features\win32\default_post.prf:
..\Qt\2010.02.1\qt\mkspecs\features\win32\rtti.prf:
..\Qt\2010.02.1\qt\mkspecs\features\win32\exceptions.prf:
..\Qt\2010.02.1\qt\mkspecs\features\win32\stl.prf:
..\Qt\2010.02.1\qt\mkspecs\features\static.prf:
..\Qt\2010.02.1\qt\mkspecs\features\warn_on.prf:
..\Qt\2010.02.1\qt\mkspecs\features\qt.prf:
..\Qt\2010.02.1\qt\mkspecs\features\win32\thread.prf:
..\Qt\2010.02.1\qt\mkspecs\features\moc.prf:
..\Qt\2010.02.1\qt\mkspecs\features\win32\windows.prf:
..\Qt\2010.02.1\qt\mkspecs\features\resources.prf:
..\Qt\2010.02.1\qt\mkspecs\features\uic.prf:
..\Qt\2010.02.1\qt\mkspecs\features\yacc.prf:
..\Qt\2010.02.1\qt\mkspecs\features\lex.prf:
..\Qt\2010.02.1\qt\mkspecs\features\include_source_dir.prf:
d:\Qt\2010.02.1\qt\lib\qtmain.prl:
d:\Qt\2010.02.1\qt\lib\QtGui.prl:
d:\Qt\2010.02.1\qt\lib\QtCore.prl:
qmake: qmake_all FORCE
	@$(QMAKE) -spec ..\Qt\2010.02.1\qt\mkspecs\win32-g++ -win32 -o Makefile txtreader.pro

qmake_all: FORCE

make_default: release-make_default debug-make_default FORCE
make_first: release-make_first debug-make_first FORCE
all: release-all debug-all FORCE
clean: release-clean debug-clean FORCE
distclean: release-distclean debug-distclean FORCE
	-$(DEL_FILE) Makefile

release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
mocclean: release-mocclean debug-mocclean

release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
mocables: release-mocables debug-mocables
FORCE:

$(MAKEFILE).Release: Makefile
$(MAKEFILE).Debug: Makefile

=== debian/changelog ===
txtreader (0.5.3-1) unstable; urgency=low

  * new upstream release.
  * debian/control: bump standards version to 3.9.1. 

 -- LI Daobing <lidaobing@debian.org>  Thu, 09 Sep 2010 20:37:09 +0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: cdbs, debhelper (>= 7), libqt4-dev
 Build-Conflicts: qt3-dev-tools
 Uploaders: Anthony Fok <foka@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/txtreader4linux/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/txtreader.git
 Vcs-Git: git://git.debian.org/git/collab-maint/txtreader.git

## txtreader 0.6.5

=== Makefile ===
#############################################################################
# Makefile for building: txtreader
# Generated by qmake (2.01a) (Qt 4.6.3) on: Mon Feb 28 17:53:27 2011
# Project:  txtreader.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile txtreader.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -fomit-frame-pointer -fmessage-length=0 -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -fomit-frame-pointer -fmessage-length=0 -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/default -I. -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include -I. -Isrc -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = src/main.cpp \
		src/TxtReader.cpp \
		src/ReaderView.cpp moc_TxtReader.cpp \
		moc_ReaderView.cpp \
		qrc_txtreader.cpp
OBJECTS       = main.o \
		TxtReader.o \
		ReaderView.o \
		moc_TxtReader.o \
		moc_ReaderView.o \
		qrc_txtreader.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		txtreader.pro
QMAKE_TARGET  = txtreader
DESTDIR       = 
TARGET        = txtreader

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: txtreader.pro  /usr/share/qt4/mkspecs/default/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile txtreader.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile txtreader.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/txtreader1.0.0 || $(MKDIR) .tmp/txtreader1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/txtreader1.0.0/ && $(COPY_FILE) --parents src/TxtReader.h src/ReaderView.h .tmp/txtreader1.0.0/ && $(COPY_FILE) --parents txtreader.qrc .tmp/txtreader1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/TxtReader.cpp src/ReaderView.cpp .tmp/txtreader1.0.0/ && $(COPY_FILE) --parents i18n/txtreader_English.ts i18n/txtreader_zh_CN.ts .tmp/txtreader1.0.0/ && (cd `dirname .tmp/txtreader1.0.0` && $(TAR) txtreader1.0.0.tar txtreader1.0.0 && $(COMPRESS) txtreader1.0.0.tar) && $(MOVE) `dirname .tmp/txtreader1.0.0`/txtreader1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/txtreader1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_TxtReader.cpp moc_ReaderView.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_TxtReader.cpp moc_ReaderView.cpp
moc_TxtReader.cpp: src/ReaderView.h \
		src/TxtReader.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/TxtReader.h -o moc_TxtReader.cpp

moc_ReaderView.cpp: src/ReaderView.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/ReaderView.h -o moc_ReaderView.cpp

compiler_rcc_make_all: qrc_txtreader.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_txtreader.cpp
qrc_txtreader.cpp: txtreader.qrc \
		README_zh_CN.HTML \
		CHANGES.TXT \
		README_English.HTML \
		i18n/txtreader_English.qm \
		i18n/txtreader_zh_CN.qm \
		images/fullscreen.png \
		images/open.png \
		images/setfont.png \
		images/close.png \
		images/bg.png \
		images/instruction.png \
		images/jump.png \
		images/lang.png \
		images/bookmark-clear.png \
		images/restore.png \
		images/bookmark-del.png \
		images/about.png \
		images/icon.png \
		images/codec.png \
		images/nofullscreen.png \
		images/bookmark-new.png \
		images/font.png \
		images/reset.png \
		images/min.png \
		images/zoom-out.png \
		images/bgcolor.png \
		images/exit.png \
		images/bgimage.png \
		images/zoom-in.png \
		images/bookmark.png
	/usr/bin/rcc -name txtreader txtreader.qrc -o qrc_txtreader.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

main.o: src/main.cpp src/TxtReader.h \
		src/ReaderView.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o src/main.cpp

TxtReader.o: src/TxtReader.cpp src/TxtReader.h \
		src/ReaderView.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o TxtReader.o src/TxtReader.cpp

ReaderView.o: src/ReaderView.cpp src/ReaderView.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ReaderView.o src/ReaderView.cpp

moc_TxtReader.o: moc_TxtReader.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_TxtReader.o moc_TxtReader.cpp

moc_ReaderView.o: moc_ReaderView.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_ReaderView.o moc_ReaderView.cpp

qrc_txtreader.o: qrc_txtreader.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_txtreader.o qrc_txtreader.cpp

####### Install

install:   all
	mkdir -p /usr/share/txtreader
	cp -f txtreader /usr/share/txtreader/
	cp -f icon.png /usr/share/txtreader/
	cp -f README_*.HTML /usr/share/txtreader/
	cp -f CHANGES.TXT /usr/share/txtreader/
	mkdir -p /usr/bin
	ln -s /usr/share/txtreader/txtreader /usr/bin/txtreader
	#Install application link for X-Windows
	mkdir -p /usr/share/applications
	echo "[Desktop Entry]" > /usr/share/applications/txtreader.desktop
	echo "Name=Txt Reader" >> /usr/share/applications/txtreader.desktop
	echo "GenericName=Txt Reader" >> /usr/share/applications/txtreader.desktop
	echo "GenericName[zh_CN]=文本阅读器" >> /usr/share/applications/txtreader.desktop
	echo "Comment=Txt Reader for linux" >> /usr/share/applications/txtreader.desktop
	echo "Comment[zh_CN]=Txt Reader(文本阅读器) for linux" >> /usr/share/applications/txtreader.desktop
	echo "Exec=/usr/share/txtreader/txtreader" >> /usr/share/applications/txtreader.desktop
	echo "Icon=/usr/share/txtreader/icon.png" >> /usr/share/applications/txtreader.desktop
	echo "Terminal=0" >> /usr/share/applications/txtreader.desktop
	echo "Type=Application" >> /usr/share/applications/txtreader.desktop
	echo "Categories=Qt;KDE;Utility;" >> /usr/share/applications/txtreader.desktop

uninstall:   all
	rm -rf /usr/share/txtreader
	rm -rf /usr/bin/txtreader
	rm -rf /usr/share/applications/txtreader.desktop

FORCE:

=== debian/changelog ===
txtreader (0.6.5-1) unstable; urgency=low

  * new upstream release.
  * debian/rules: updated.
  * debian/control:
    - bump standards version to 3.9.2.
    - new maintainer's email.
    - update Vcs-* fields.

 -- LI Daobing <lidaobing@debian.org>  Mon, 15 Aug 2011 23:41:15 +0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: txtreader
 Section: text
 Priority: optional
-Maintainer: LI Daobing <lidaobing@debian.org>
+Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
+Uploaders:
+ LI Daobing <lidaobing@debian.org>,
+ Anthony Fok <foka@debian.org>
 Build-Depends: cdbs, debhelper (>= 7), libqt4-dev
 Build-Conflicts: qt3-dev-tools
-Uploaders: Anthony Fok <foka@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/txtreader4linux/
-Vcs-Browser: http://git.debian.org/?p=collab-maint/txtreader.git
-Vcs-Git: git://git.debian.org/git/collab-maint/txtreader.git
+Vcs-Browser: http://git.debian.org/?p=chinese/txtreader.git
+Vcs-Git: git://git.debian.org/git/chinese/txtreader.git
 
 Package: txtreader
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -15,5 +15,5 @@
 	mkdir -p debian/txtreader/usr/bin/
 	cp txtreader debian/txtreader/usr/bin/
 	mkdir -p debian/txtreader/usr/share/pixmaps/
-	install -m 644 images/book.png debian/txtreader/usr/share/pixmaps/txtreader.png
+	install -m 644 images/icon.png debian/txtreader/usr/share/pixmaps/txtreader.png
 	install -m 644 debian/txtreader.xpm debian/txtreader/usr/share/pixmaps/

=== debian/watch ===
version=3
http://code.google.com/p/txtreader4linux/downloads/list \
http://txtreader4linux.googlecode.com/files/txtreader-(.*)\.tar\.gz

## txtreader 0.6.7

=== debian/changelog ===
txtreader (0.6.7) unstable; urgency=low

  * Initial Release.

 -- Eveing <eveing@139.com>  Sun, 20 May 2012 09:57:34 +0800

=== debian/control ===
Source: txtreader
Section: user/apps
Priority: optional
Maintainer: Eveing <eveing@139.com>
Build-Depends: debhelper (>= 5), pkg-config, libosso-dev (>=0.9.10-2), libqt4-dev

Package: txtreader
Version: 0.6.7
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <Txt File Reader>
 <insert long description, indented with spaces>
Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAASdAAAEnQB3mYfeAAAAAd0SU1FB9sMDhMsDybst2gAAAVbSURBVEjH
 5ZbLb91XEcc/c875ve69vs/YDokct478akNFKwFJUaAiBVIWiVopApFNgQ0s2FXiD0B0XaFuukCV
 kFBBrkISEWQRKRKpaiUrKEUktOQpR+A4dv28vvf3OMPCbxx1gZBYMNJZ/H7nzHznzHxnzsD/jVy/
 fv2/qiM7P65du8bRo0d3Hbh8+fJBa21ijA3m5+fvvvLKy2sAF86dq9RbrQFVzYqiSE+cOHF/p97k
 5CQnT57cBjo+/DzvfTzFzY/+xuLCgomjuJzn+XfCMDxVqVReSJKk5Jwlz3Pa7TbLyysXbl+8mDz3
 6qtfj8IA9UpRFKyurmaLi4tT7XZ7UlV/vrS0NBfGoX/pGy9xfPj57Rudn/jNsbHPjv+4Vqudrlar
 lEqlLW/WOm0WFhZYWV1WE4Vy8eUzfPvy77UkVoqiQFUBsNaSpilzc3PMz8//7i9//PCnP/jRD6cA
 3Iat1tzDuZ8cOnToRJIkAAqgqiIieO8BJc8zmf9kjrV2m9VHjyTZ14+q4r2nKAo6nY6qqjQaDWq1
 2jenrrwfxdhvdSjmDEA/rb5SuTToArfpnQAiIluJ1I0lKMnIMNO/vYSJIzYc2pXzLMtQVZJSMtgn
 +/sADMDoyFgtiuKmEcOm8Z3iFVBFFTTPqX/lOLff+RVLd+489vwmeBRFzYGhgdoW0MHBgWYYBE0x
 8un8VQWFqK+P+nPP8qc33iBdWdkyvLk2JY6TZqu/t7kFFJXDA+WeMkaM7rmN9+sGNrFQbBgw9v3v
 sXLnDn99661dxlmPOWJEe2o9hElwAMCMlg47I2akWq/tqavtwCuqfpMjiEKpfz9ffP11Hl29ys03
 38Suk2hLjBip1qo450aO1MecCaLABWF4uFqvbrHtcfH+d4+1yKmPjPDUa6/Rnpri3vnzmCjaqaPV
 WpU4SQ4ba52xLnBRFA1tAMnjjOuOf6rABgGKNOXAiy/innySzpUrpIuLW+RQVanUKiRJMmSdc6a5
 r2XDOBqO4miv1xs1orrOg42s7Ypv0elw8NQputPTLH3wAVi7tRfFEXESD9ebdWtKlaRaKpfKQRDs
 zY0IzjmCIMA5i6J4v04INvespTE+ztrMDPns7C4GOuco91TKpUqp6vI8H23uaxDH8S6Qhw8fMjs7
 S7fTJS9ynHM0mnXUKz5XnLHcvnWbTreDdLvky8v4lRUqlQqa53S7XRBotOrkeT7qQJ+ptxpkaaY3
 btyQW7f+zmp7BRcYxApmvUcgYkhvZvS2+snyjPfe/wOlcoyNAvjzDbLVNvf+Mc1Hk5eIjGNw8AmG
 Dg9pvdUQ0GccMLaaLvPuuV+LWEA8ajK6mUcKwYjBWIs1FhcY7t+/CyLUG1UQUDUUDx5gnh4n+kwf
 Pb118J4HM/e5dfdj6foOiIy7IAiOdLIOzClpN8MXniLz5Hmx0UyFSq2kqMq9m9N8MrMIQKOvxhNP
 DyBidMmXRb7wZeyDJWz6IS50BIEjiAK6eZfAuSPytSNf7Tb394ZF7rf7md/RShSME/IiW8i7eSew
 4X6AzKczLnSRs0HdF9stVVDEyDrNBayzzP9zNnVFUVTWOmtiqyYSJ4mxxIhERkgUQoEINHDYIDDW
 +kwjBZIg7qpXL6KFRVJUU4Uuni6iHS2KDrlpd1ezTuEL71qf78smfjEBkB792QvLvVerLrbW4QnF
 SKhKoGKcoFZUjYmsrD8bXo2IV5FCRQvryRSTEZCqSMpalL976Z29M8Pp757mwtsX9tTS50a/xFPP
 tqRTiKg3kgRK4a3kPlOrkabVXMv36vrLK2/v0T1z5gwTExOf/iKcPXv2P5qejh079r8d3/4F+ZRy
 Wffhs/oAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	/usr/share/qt4/bin/qmake -unix -o Makefile txtreader.pro
	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/txtreader.sgml > txtreader.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/txtreader.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/txtreader install
	install -m 0644 $(IFLAGS) data/txtreader.png \
		"$(CURDIR)"/debian/txtreader/usr/share/icons/hicolor/scalable/apps/txtreader.png
	install -m 0644 $(IFLAGS) data/txtreader.desktop \
		"$(CURDIR)"/debian/txtreader/usr/share/applications/hildon/txtreader.desktop


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	# dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	# dh_shlibdeps                      # Uncomment this line for publishing!
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## txtreader 0.6.8

=== Makefile ===
#############################################################################
# Makefile for building: txtreader
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Nov 16 10:05:52 2012
# Project:  txtreader.pro
# Template: app
# Command: /usr/share/qt4/bin/qmake -unix -o Makefile txtreader.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I. -Isrc -I/targets/FREMANTLE_ARMEL/usr/include/glib-2.0 -I/targets/FREMANTLE_ARMEL/usr/lib/glib-2.0/include -I/targets/FREMANTLE_ARMEL/usr/include/dbus-1.0 -I/targets/FREMANTLE_ARMEL/usr/lib/dbus-1.0/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -losso -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/share/qt4/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = src/main.cpp \
		src/TxtReader.cpp \
		src/ReaderView.cpp moc_TxtReader.cpp \
		moc_ReaderView.cpp \
		qrc_txtreader.cpp
OBJECTS       = main.o \
		TxtReader.o \
		ReaderView.o \
		moc_TxtReader.o \
		moc_ReaderView.o \
		qrc_txtreader.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		txtreader.pro
QMAKE_TARGET  = txtreader
DESTDIR       = 
TARGET        = txtreader

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: txtreader.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile txtreader.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile txtreader.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/txtreader1.0.0 || $(MKDIR) .tmp/txtreader1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/txtreader1.0.0/ && $(COPY_FILE) --parents src/TxtReader.h src/ReaderView.h .tmp/txtreader1.0.0/ && $(COPY_FILE) --parents txtreader.qrc .tmp/txtreader1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/TxtReader.cpp src/ReaderView.cpp .tmp/txtreader1.0.0/ && $(COPY_FILE) --parents i18n/txtreader_English.ts i18n/txtreader_zh_CN.ts .tmp/txtreader1.0.0/ && (cd `dirname .tmp/txtreader1.0.0` && $(TAR) txtreader1.0.0.tar txtreader1.0.0 && $(COMPRESS) txtreader1.0.0.tar) && $(MOVE) `dirname .tmp/txtreader1.0.0`/txtreader1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/txtreader1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_TxtReader.cpp moc_ReaderView.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_TxtReader.cpp moc_ReaderView.cpp
moc_TxtReader.cpp: src/ReaderView.h \
		src/TxtReader.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/TxtReader.h -o moc_TxtReader.cpp

moc_ReaderView.cpp: src/ReaderView.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/ReaderView.h -o moc_ReaderView.cpp

compiler_rcc_make_all: qrc_txtreader.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_txtreader.cpp
qrc_txtreader.cpp: txtreader.qrc \
		CHANGES.TXT \
		i18n/txtreader_English.qm \
		i18n/txtreader_zh_CN.qm \
		images/fullscreen.png
	/usr/bin/rcc -name txtreader txtreader.qrc -o qrc_txtreader.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

main.o: src/main.cpp src/TxtReader.h \
		src/ReaderView.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o src/main.cpp

TxtReader.o: src/TxtReader.cpp src/TxtReader.h \
		src/ReaderView.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o TxtReader.o src/TxtReader.cpp

ReaderView.o: src/ReaderView.cpp src/ReaderView.h \
		src/TxtReader.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ReaderView.o src/ReaderView.cpp

moc_TxtReader.o: moc_TxtReader.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_TxtReader.o moc_TxtReader.cpp

moc_ReaderView.o: moc_ReaderView.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_ReaderView.o moc_ReaderView.cpp

qrc_txtreader.o: qrc_txtreader.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_txtreader.o qrc_txtreader.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/maemo/txtreader/ || $(MKDIR) $(INSTALL_ROOT)/opt/maemo/txtreader/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/opt/maemo/txtreader/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/opt/maemo/txtreader/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/opt/maemo/txtreader/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/maemo/txtreader/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== debian/changelog ===
txtreader (0.6.8) unstable; urgency=low

  * Jump to Dialog.

 -- Eveing <eveing@139.com>  Mon, 12 Nov 2012 20:24:11 +0800

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,9 @@
 Build-Depends: debhelper (>= 5), pkg-config, libosso-dev (>=0.9.10-2), libqt4-dev
 
 Package: txtreader
-Version: 0.6.7
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: <Txt File Reader>
- <insert long description, indented with spaces>
 Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
  /wD/oL2nkwAAAAlwSFlzAAASdAAAEnQB3mYfeAAAAAd0SU1FB9sMDhMsDybst2gAAAVbSURBVEjH

=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 		"$(CURDIR)"/debian/txtreader/usr/share/icons/hicolor/scalable/apps/txtreader.png
 	install -m 0644 $(IFLAGS) data/txtreader.desktop \
 		"$(CURDIR)"/debian/txtreader/usr/share/applications/hildon/txtreader.desktop
-
+	ln -s /opt/maemo/txtreader/txtreader $(CURDIR)/debian/txtreader/usr/bin/txtreader
 
 # Build architecture-independent files here.
 binary-indep: build install
